package com.tapjoy.easyapp

import android.os.Bundle
import android.webkit.WebView
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import com.tapjoy.easyapp.navigation.Navigation
import com.tapjoy.easyapp.theme.TapjoyTheme

class TapjoyEasyApp : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            TapjoyTheme {
                Navigation(
                    MainViewModel(),
                    UserViewModel(),
                    OfferwallDiscoverViewModel(),
                    ConfigViewModel(),
                    UnityAdsViewModel(),
                )
            }
        }
        WebView.setWebContentsDebuggingEnabled(true)
    }
}
